Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Developer
Posts: 49
Registered: ‎01-17-2010
My Device: Curve 9300
Accepted Solution

Spinner extension installation doesn't work

I'm trying to install the Spinner UI for WebWorks and I'm getting the following error in the Ripple Web Inspector console:

 

TypeError: 'undefined' is not an object (evaluating 'blackberry.ui.Spinner.open')

 

I've followed the instructions from the following site:

 

https://github.com/blackberry/WebWorks-Community-APIs/tree/master/Smartphone/SpinnerControl

 

But the following site says that these instructions are "no longer up to date" and I should be using:

 

https://bdsc.webapps.blackberry.com/html5/documentation/ww_developing/using_the_js_extension_in_your...

 

which states that I need a jar file.  There is no jar file in the list of files.

 

Please help explain what is needed to make the Spinner UI available:

 

 - WebWorks SDK 2.3.0.9

 - Ripple 0.9.0.16

 - Windows 7 64bit

- Simulator 6.0.0.668 (9300)
- Windows 7 64bit
- Curve 9300 with App Version: 6.0.0.668 (2949)
Trusted Contributor
Posts: 227
Registered: ‎09-03-2010
My Device: Not Specified

Re: Spinner extension installation doesn't work

add this jar file to ext folder of your project.

Developer
Posts: 49
Registered: ‎01-17-2010
My Device: Curve 9300

Re: Spinner extension installation doesn't work

Thanks for trying, but I still get the same error.

 

I unzipped the jar file that you sent and created an "ext" folder in my project folder (right along side my "js" folder.

 

When I run my app in Ripple, the Web Inspector gives the same error.

 

I'm testing on a 9300 in Ripple (if that matters).

- Simulator 6.0.0.668 (9300)
- Windows 7 64bit
- Curve 9300 with App Version: 6.0.0.668 (2949)
Trusted Contributor
Posts: 227
Registered: ‎09-03-2010
My Device: Not Specified

Re: Spinner extension installation doesn't work

I think Ripple does not support extensions, try using a simulator or real-enabled devices
Highlighted
Developer
Posts: 49
Registered: ‎01-17-2010
My Device: Curve 9300

Re: Spinner extension installation doesn't work

That was it.  Thanks for your help.

 

Ripple seems to be more of a pain that what it's worth.  I keep finding (undocumented) limitations after beating my head against a wall for days...

 

Thanks again.

- Simulator 6.0.0.668 (9300)
- Windows 7 64bit
- Curve 9300 with App Version: 6.0.0.668 (2949)